: Class ServletLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP.Handler
Class ServletLoader

    java.lang.Object
      |
      +--java.lang.ClassLoader
            |
            +--com.mortbay.HTTP.Handler.ServletLoader

Direct Known Subclasses:
  FileJarServletLoader

public abstract class ServletLoader
extends java.lang.ClassLoader

Servlet Class Loader.

#### Notes

The load search order is:
- Loader cache.
- If the class starts with a systemClass package name, load from builtin loader or fail.
- Try the loader path.
- Try the builtin loader. Classes found here may not be reloaded.

  Version:
    1.0 Tue May 4 1999
  Author:
    Greg Wilkins (gregw)

  Constructor Summary
  `ServletLoader()`

  Method Summary
  `abstract boolean` | `isModified()` Return true a class is modified.
  `abstract java.lang.Class` | `loadClass(java.lang.String name)` Load a class.
  `java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)` Load a class.

  Methods inherited from class java.lang.ClassLoader
  `defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, resolveClass, setSigners`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### ServletLoader

      public ServletLoader()

  Method Detail

  ### loadClass

      public abstract java.lang.Class loadClass(java.lang.String name)
                                         throws java.lang.ClassNotFoundException

    Load a class.
    Overrides:
      loadClass in class java.lang.ClassLoader
    Parameters:
      `name` - Class name (without ".class");
      `resolve` - True if the class should be resolved when loaded.
    Returns:
      The Class instance
    Throws:
      java.lang.ClassNotFoundException -

  ### loadClass

      public java.lang.Class loadClass(java.lang.String name,
                                       boolean resolve)
                                throws java.lang.ClassNotFoundException

    Load a class.
    Overrides:
      loadClass in class java.lang.ClassLoader
    Parameters:
      `name` - Class name (without ".class");
      `resolve` - True if the class should be resolved when loaded.
    Returns:
      The Class instance
    Throws:
      java.lang.ClassNotFoundException -

  ### isModified

      public abstract boolean isModified()

    Return true a class is modified.
    Returns:
      true if any of the classes loaded by this loader have been modified since their load time.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD